# cCharacterServer Class Reference

Inherited by cPacketPipe< cCharacterServer >.

List of all members.

## Static Public Member Functions

static DWORD | ReturnPadOffset (DWORD dwLength)
static void | Initialize (short nPort, WORD wLogicalID, DWORD dwSendCRCSeed, DWORD dwRecvCRCSeed)
static void | Halt ()

## Static Public Attributes

static DWORD | m_dwClientCount

## Static Protected Attributes

static DWORD | m_dwSendCRCSeed
static DWORD | m_dwRecvCRCSeed
static WORD | m_wLogicalID
static SOCKET | m_Socket

## Friends

class | cMasterServer

## Member Function Documentation

DWORD cCharacterServer::ReturnPadOffset | ( | DWORD | dwLength | ) | `[static]`

Pads messages to the DWORD boundary.

Used for variable-length (text/char[]) fields. The client expects the next variable to start at the next whole DWORD (4 byte value) The variable length field is zero-padded until this boundary is reached.

Parameters:

  | dwLength | - The length of the variable-length field.

Returns:
  dwOffset - The BYTE value of padding required.

The documentation for this class was generated from the following files:

- E:/uas2/Server/CharacterServer.h
- E:/uas2/Server/CharacterServer.cpp